Can't install this addon

I’m having difficulty installing this add on.

I tried putting it on “addons” folders, merging it with the “settings” folder and nothing.

Is there something I’m not doing correctly?

That addon is over 4 years old, the reason why it’s not working is probably because the game works differently from when it did back then. I could be wrong, but by looking at that age - is my conclusion.

Hmm, that might be it.
Is there no possible way to make it work in the current Gmod?

There probably isn’t any way to get it working on the new game. Addons that are usually more or equal to 2 years barely or never work at all(Unless the creator/developer updates it!)